> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Proxy Route



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/proxies/{proxy_id}
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/proxies/{proxy_id}:
    get:
      tags:
        - proxies
      summary: Get Proxy Route
      operationId: get_proxy_route_api_v1_proxies__proxy_id__get
      parameters:
        - name: proxy_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Proxy Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProxyRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProxyRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        org_id:
          type: string
          format: uuid
          title: Org Id
        owner_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Owner Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: System Prompt
        intent:
          anyOf:
            - type: string
            - type: 'null'
          title: Intent
        status:
          $ref: '#/components/schemas/ProxyStatus'
        source:
          $ref: '#/components/schemas/ProxySource'
        provider_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Provider Id
        provider:
          anyOf:
            - $ref: '#/components/schemas/ProxyProviderSummary'
            - type: 'null'
        proxy_url:
          type: string
          title: Proxy Url
          readOnly: true
      type: object
      required:
        - id
        - created_at
        - updated_at
        - org_id
        - owner_id
        - name
        - description
        - system_prompt
        - intent
        - status
        - source
        - provider_id
        - provider
        - proxy_url
      title: ProxyRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProxyStatus:
      type: string
      enum:
        - draft
        - active
      title: ProxyStatus
    ProxySource:
      type: string
      enum:
        - auto
        - manual
      title: ProxySource
    ProxyProviderSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
      type: object
      required:
        - id
        - name
        - provider
        - model
      title: ProxyProviderSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````